DevHeads.net

Postings by =?utf-8?q?Jos=C3=A9_Matos?=

SONAME bump for armadillo

Hi,
armadillo 9.100.5 was released this week. The previous stable release was
8.600.5.

armadillo changes license from MPLv2.0 to Apache License 2.0

As the title says for version 7.800.1

According to repoquery the packages that require armadillo are:

mlpack (LGPLv3+)
gdal (MIT)
mmseq (GPLv2+)

so the license change will have no impact on derived packages.

I will build for rawhide first and then F2[4-6].

Regards,

Problem configuring Fedora Notifications

Hi,
I send this here in case someone has seen this and if not where to report.

I want to configure the notifications to receive email for the messages I am
interested in.

I go to <a href="https://apps.fedoraproject.org/notifications/" title="https://apps.fedoraproject.org/notifications/">https://apps.fedoraproject.org/notifications/</a>

and login.

Then I choose email and I add the email address I am interest in receiving the
notification messages.

In less than a minute I receive an email from <a href="mailto: ... at fedoraproject dot org"> ... at fedoraproject dot org</a>
with a link to confirm the email address.

The problem occurs in the next step if I choose to accept I always get an
unauthorized access error from fas login:

401 - Unautho

Re-review to unretire package: python-nikola

Hi,
I have submitted python-nikola to unretire the package for rawhide since
it is available in the other branches.

A review swap is welcome.

Regards,

PyX update for Fedora 23 and rawhide just supports python 3

I will update PyX, a Python graphics package, to version 0.14.

Since version 0.13, released in December of 2013, that PyX transitioned from python 2 to 3.

So the new version (and version 0.13 before) only supports python 3, while version 0.12 was a strict python 2 version.

The update will be pushed to f23+.

Regards,

Integration of pkdb2 with anitya (howto?)

Hi,
according to <a href="https://fedoraproject.org/wiki/Upstream_release_monitoring" title="https://fedoraproject.org/wiki/Upstream_release_monitoring">https://fedoraproject.org/wiki/Upstream_release_monitoring</a>

to have a package monitored we should:

1) Add the project to anitya.
2) Map the project to a Fedora package in anitya.
3) Enable the monitoring flag for that package in pkgdb2.

Steps 1 and 2 are easy but I can not find way to set any flag on pkgdb2.

As an example, in <a href="https://admin.fedoraproject.org/pkgdb/package/armadillo/" title="https://admin.fedoraproject.org/pkgdb/package/armadillo/">https://admin.fedoraproject.org/pkgdb/package/armadillo/</a>

I see that armadillo is not monitored and it has information in Anitya (I added it) but I do not see any place/flag/whatever to add the monitoring to armadillo.

What am I missing?

Heads up: soname bump of armadillo in rawhide

I will update a belated bump of armadillo (that happened in May) in rawhide.

# dnf repoquery --disablerepo=* --enablerepo=rawhide --whatrequires 'libarmadillo.so.4()(64bit)'
armadillo-devel-0:4.650.2-3.fc23.x86_64
gdal-0:1.11.2-10.fc23.x86_64
gdal-java-0:1.11.2-10.fc23.x86_64
gdal-libs-0:1.11.2-10.fc23.x86_64
gdal-perl-0:1.11.2-10.fc23.x86_64
mlpack-0:1.0.11-4.fc23.x86_64
mlpack-bin-0:1.0.11-4.fc23.x86_64

I will take care of rebuilding both gdal and mlpack.

After some time I intend to proceed with the same updates to Fedora 22 and 21 (as it has happened in previous releases) taking care of

R-zoo license changed

In version 1.7-12 (-11 really but I did not package that) the license of R-zoo changed from

GPL2

to

GPL2 or GPL3

so that there no changes from our point of view.

Problem while building with copr (failing for no apparent reason)

Hi,
I am using copr to build another candidate for lyx-2.1 and the build fails for me with no message related with the failure:

<a href="http://copr.fedoraproject.org/coprs/jamatos/lyx-21/builds/" title="http://copr.fedoraproject.org/coprs/jamatos/lyx-21/builds/">http://copr.fedoraproject.org/coprs/jamatos/lyx-21/builds/</a>

The only file I get is in this case build-9287.log that is useless.

I have built the package locally on mock I have no problems building it.

Regards,

Retiring/orphaning conglomerate

I intend to orphan conglomerate (<a href="http://www.conglomerate.org/" title="http://www.conglomerate.org/">http://www.conglomerate.org/</a>).

The source code has not been updated for a long time and my interest in the package is gone.

If no one is interested in maintaining it I will retire it from the distribuition in the next weeks.

Regards,

armadillo changed the license to mpl2

Latest version of armadillo 3.800 has changed the license from LGPLv2.1
to MPLv2.

The only user of armadillo in Fedora (for now) is mlpack licensed as
LGPLv3 so the change will have no impact in other packages.

I will update to the latest version initially in rawhide and then on F17
and F18 since 3.6 is no longer maintained and 3.800 is API backwards
compatible with previous 3.x versions.

Regards,

What is the status of Features/YumLangpackPlugin?

Hi,
I have the yum-langpacks plugin installed and it works. :-)

My problem in a sense is that it is limited in scope. :-(

<a href="http://fedoraproject.org/wiki/Features/YumLangpackPlugin" title="http://fedoraproject.org/wiki/Features/YumLangpackPlugin">http://fedoraproject.org/wiki/Features/YumLangpackPlugin</a> was the feature page
for when the feature was initially deployed.

problems with the latest texlive-2009 update on rawhide

After the update of texlive-2009 packages on rawhide latex has ceased to work:

$ pdflatex mnc_modulo_2-mod-graph
This is pdfTeX, Version 3.1415926-1.40.10 (Web2C 2009)
restricted \write18 enabled.

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!

The suspect here seems to be ftmutil-sys

# fmtutil-sys --all
#

No output from fmtutil-sys as opposed to the very verbose output of previous
versions.

texlive problem when updating to rawhide

Hi,
I have updated my laptop to rawhide using preupgrade. It worked without any
major hitch, my only problem after update was with texlive (I changed the repo
to the rawhide version).